package com.mall.common.domain.vo;

import com.mall.common.domain.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 秒杀信息vo
 * @Author: lzh
 * @CreateTime: 2024-04-25  11:51
 * @Description: TODO
 * @Version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SeckillVo {

    /**
     * 秒杀id
     */
    private Long spikesId;
    /**
     * 商品主图
     */
    private String spikesImg;
    /**
     * 轮播图
     */
    private String spikesManyImg;
    /**
     * 商品标题
     */
    private String spikesTitle;
    /**
     * 秒杀活动简介
     */
    private String spikesThings;
    /**
     * 单位
     */
    private String spikesUnit;
    /**
     * 当天参与活动次数
     */
    private Integer spikesNum;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 状态(0已开启1为开启)
     */
    private Integer spikesState;
    /**
     * 0未删除1已删除
     */
    private Integer isDelete;

    // 以下为扩展属性
    /**
     * 商品sku列表
     */
    private List<Sku> skuList;

    @Data
    public static class Sku{
        private Long skuId;
        private BigDecimal activityPrice;
        private Integer inventoryRestrict;
    }
}