package com.mall.client.controller;

import com.mall.client.service.SkuService;
import com.mall.common.domain.UserInfo;
import com.mall.common.domain.request.SkuRequest;
import com.mall.common.domain.vo.SkuVo;
import com.mall.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 商品sku
 * @Author: lzh
 * @CreateTime: 2024-04-25  11:42
 * @Description: TODO
 * @Version: 1.0
 */
@RestController
public class SkuController {
    @Autowired
    private SkuService skuService;

    /**
     * 商品
     * @param skuVo
     * @return result
     */
    @PostMapping("select/sku/seckill")
    public Result selectSku(@RequestBody SkuVo skuVo) {
        Result result = skuService.selectSku(skuVo);
        return result;
    }

    /**
     * 添加商品
     * @param skuRequest
     * @return
     */
    @PostMapping("insert/sku")
    public Result insertSku(@RequestBody SkuRequest skuRequest) {
        return skuService.insertSku(skuRequest);
    }

    /**
     * 获取商品详情(回显)
     * @param id
     * @return
     */
    @GetMapping("infoSku/{id}")
    public Result infoSku(@PathVariable Long id) {
        return skuService.infoSku(id);
    }

    /**
     * 修改商品信息
     */
    @PostMapping("update/sku")
    public Result updateSku(@RequestBody SkuRequest skuRequest) {
        return skuService.updateSku(skuRequest);
    }

    /**
     * 获取登录人信息
     */
    @GetMapping("info")
    public Result<UserInfo> info() {
        Result<UserInfo> result = skuService.info();
        return result;
    }
}
