package com.mall.client.controller;

import com.mall.client.service.SpikesService;
import com.mall.common.domain.vo.SeckillVo;
import com.mall.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 秒杀场次
 * @Author: lzh
 * @CreateTime: 2024-04-25  11:01
 * @Description: TODO
 * @Version: 1.0
 */
@RestController
public class SpikesController {
    @Autowired
    private SpikesService spikesService;

    /**
     * 秒杀商品查询
     * @param seckillVo
     * @return result
     */
    @PostMapping("select/spikes")
    public Result selectSpikes(SeckillVo seckillVo) {
        return spikesService.selectSpikes(seckillVo);
    }

    /**
     * 秒杀商品添加
     * @param seckillVo
     * @return
     */
    @PostMapping("insert/spikes")
    public Result insertSpikes(SeckillVo seckillVo) {
        return spikesService.insertSpikes(seckillVo);
    }
}
